name: field.blocks.text.name
icon: text
wysiwyg: true
preview: text
fields:
  text:
    type: writer
    nodes: true
    marks:
      - bold
      - italic
      - strike
      - link
    placeholder: field.blocks.text.placeholder
  textalign:
    label: Alignement du texte
    type: radio
    width: 1/2
    options:
      text-start: aligner à gauche
      text-center: aligner au milieu
      text-end: aligner à droite
  align:
    label: Alignement vertical
    type: radio
    width: 1/2
    options:
      flex-start: aligner en haut
      flex-center: aligner au milieu
      flex-end: aligner en bas
  verticalPadding:
    label: Marges verticales
    type: checkboxes
    width: 1/2
    options:
      no-vertical-padding: pas de marges
  horizontalPadding:
    label: Marges horizontales
    type: checkboxes
    width: 1/2
    options:
      no-horizontal-padding: pas de marges
  hasColumns:
    label: affichage en colonnes
    type: radio
    width: 1/3
    options:
      hasColumn-1: sans colonne
      hasColumn-2: 2 colonnes
      hasColumn-3: 3 colonnes
      hasColumn-4: 4 colonnes
  split:
    label: Séparation du texte
    type: radio
    width: 1/2
    default: split-words
    options:
      reveal: pas de séparation
      split-lines: séparation en lignes
      split-words: séparation en mots
      split-letters : séparation en lettres